Package htsjdk.tribble.index

# Enum Class IndexFactory.IndexType

java.lang.Object
java.lang.Enum<IndexFactory.IndexType>
htsjdk.tribble.index.IndexFactory.IndexType

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexFactory.IndexType>`, `Constable`

Enclosing class:
  `IndexFactory`

public static enum IndexFactory.IndexType extends Enum<IndexFactory.IndexType>
an enum that contains all of the information about the index types, and how to create them

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INTERVAL_TREE`
`LINEAR`
`TABIX`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCreate()`
`Index`
`createIndex(InputStream in)`
`int`
`getDefaultBinSize()`
`static IndexFactory.IndexType`
`getIndexType(BufferedInputStream is)`
`int`
`getMagicNumber()`
`Integer`
`getTribbleIndexType()`
`static IndexFactory.IndexType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IndexFactory.IndexType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINEAR

public static final IndexFactory.IndexType LINEAR

### INTERVAL_TREE

public static final IndexFactory.IndexType INTERVAL_TREE

### TABIX

public static final IndexFactory.IndexType TABIX

## Method Details

### values

public static IndexFactory.IndexType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IndexFactory.IndexType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDefaultBinSize

public int getDefaultBinSize()

### canCreate

public boolean canCreate()

### getTribbleIndexType

public Integer getTribbleIndexType()

### createIndex

public Index createIndex(InputStream in)

### getMagicNumber

public int getMagicNumber()

### getIndexType

public static IndexFactory.IndexType getIndexType(BufferedInputStream is)

Parameters:
  `is` - InputStream of index. This will be reset to location it was at when method was invoked.
Returns:
  The `IndexType` based on the `headerValue`
Throws:
  `TribbleException.UnableToCreateCorrectIndexType`